package com.example.demo.scenic_spot.controller;

import com.example.demo.annotation.NonLoginRequired;
import com.example.demo.scenic_spot.dto.ScenicSpotDto;
import com.example.demo.scenic_spot.service.impl.ScenicSpotServiceImpl;
import com.example.demo.user.vo.ResultVo;
import org.apache.http.HttpResponse;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/scenicSpot")
public class ScenicSpotController {
    @Autowired
    private ScenicSpotServiceImpl scenicSpotService;
    private static final Logger logger = LoggerFactory.getLogger(ScenicSpotController.class);

    @NonLoginRequired
    @RequestMapping("/syncDataToEs")
    public ResultVo syncDataToEs() {
        return scenicSpotService.syncDataToEs();
    }
    @NonLoginRequired
    @RequestMapping("/getScenicSpotList")
    public ResultVo getScenicSpotList(@RequestHeader("token") String token, String keyword) {
        logger.info("获取景点信息列表");
        return scenicSpotService.getScenicSpotList(token,keyword);
    }
}
